// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: client/sms.proto

package freeje_client

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SmsMessage_Type int32

const (
	SmsMessage_INBOUND  SmsMessage_Type = 0
	SmsMessage_OUTBOUND SmsMessage_Type = 1
)

// Enum value maps for SmsMessage_Type.
var (
	SmsMessage_Type_name = map[int32]string{
		0: "INBOUND",
		1: "OUTBOUND",
	}
	SmsMessage_Type_value = map[string]int32{
		"INBOUND":  0,
		"OUTBOUND": 1,
	}
)

func (x SmsMessage_Type) Enum() *SmsMessage_Type {
	p := new(SmsMessage_Type)
	*p = x
	return p
}

func (x SmsMessage_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SmsMessage_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_client_sms_proto_enumTypes[0].Descriptor()
}

func (SmsMessage_Type) Type() protoreflect.EnumType {
	return &file_client_sms_proto_enumTypes[0]
}

func (x SmsMessage_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SmsMessage_Type.Descriptor instead.
func (SmsMessage_Type) EnumDescriptor() ([]byte, []int) {
	return file_client_sms_proto_rawDescGZIP(), []int{3, 0}
}

type SmsMessage_Status int32

const (
	SmsMessage_PENDING   SmsMessage_Status = 0
	SmsMessage_DELIVERED SmsMessage_Status = 1
)

// Enum value maps for SmsMessage_Status.
var (
	SmsMessage_Status_name = map[int32]string{
		0: "PENDING",
		1: "DELIVERED",
	}
	SmsMessage_Status_value = map[string]int32{
		"PENDING":   0,
		"DELIVERED": 1,
	}
)

func (x SmsMessage_Status) Enum() *SmsMessage_Status {
	p := new(SmsMessage_Status)
	*p = x
	return p
}

func (x SmsMessage_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SmsMessage_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_client_sms_proto_enumTypes[1].Descriptor()
}

func (SmsMessage_Status) Type() protoreflect.EnumType {
	return &file_client_sms_proto_enumTypes[1]
}

func (x SmsMessage_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SmsMessage_Status.Descriptor instead.
func (SmsMessage_Status) EnumDescriptor() ([]byte, []int) {
	return file_client_sms_proto_rawDescGZIP(), []int{3, 1}
}

type SmsPullPeriod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	From     int64 `protobuf:"varint,1,opt,name=from,proto3" json:"from,omitempty"`         // стартовая отметка времени с которой строить отчет
	Duration int64 `protobuf:"varint,2,opt,name=duration,proto3" json:"duration,omitempty"` // интервал времени в миллисекундах который должен захватить отчет
}

func (x *SmsPullPeriod) Reset() {
	*x = SmsPullPeriod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_sms_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SmsPullPeriod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SmsPullPeriod) ProtoMessage() {}

func (x *SmsPullPeriod) ProtoReflect() protoreflect.Message {
	mi := &file_client_sms_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SmsPullPeriod.ProtoReflect.Descriptor instead.
func (*SmsPullPeriod) Descriptor() ([]byte, []int) {
	return file_client_sms_proto_rawDescGZIP(), []int{0}
}

func (x *SmsPullPeriod) GetFrom() int64 {
	if x != nil {
		return x.From
	}
	return 0
}

func (x *SmsPullPeriod) GetDuration() int64 {
	if x != nil {
		return x.Duration
	}
	return 0
}

type SmsPullId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LastKnownId int64 `protobuf:"varint,1,opt,name=last_known_id,json=lastKnownId,proto3" json:"last_known_id,omitempty"` // последний известный id смс, 0 если с самого начала
	Continuous  bool  `protobuf:"varint,2,opt,name=continuous,proto3" json:"continuous,omitempty"`                        // если true то вызов метода не завершиться а продолжит получение новых смс
}

func (x *SmsPullId) Reset() {
	*x = SmsPullId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_sms_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SmsPullId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SmsPullId) ProtoMessage() {}

func (x *SmsPullId) ProtoReflect() protoreflect.Message {
	mi := &file_client_sms_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SmsPullId.ProtoReflect.Descriptor instead.
func (*SmsPullId) Descriptor() ([]byte, []int) {
	return file_client_sms_proto_rawDescGZIP(), []int{1}
}

func (x *SmsPullId) GetLastKnownId() int64 {
	if x != nil {
		return x.LastKnownId
	}
	return 0
}

func (x *SmsPullId) GetContinuous() bool {
	if x != nil {
		return x.Continuous
	}
	return false
}

type SmsPull struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Mode:
	//	*SmsPull_FromId
	//	*SmsPull_FromPeriod
	Mode isSmsPull_Mode `protobuf_oneof:"mode"`
}

func (x *SmsPull) Reset() {
	*x = SmsPull{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_sms_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SmsPull) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SmsPull) ProtoMessage() {}

func (x *SmsPull) ProtoReflect() protoreflect.Message {
	mi := &file_client_sms_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SmsPull.ProtoReflect.Descriptor instead.
func (*SmsPull) Descriptor() ([]byte, []int) {
	return file_client_sms_proto_rawDescGZIP(), []int{2}
}

func (m *SmsPull) GetMode() isSmsPull_Mode {
	if m != nil {
		return m.Mode
	}
	return nil
}

func (x *SmsPull) GetFromId() *SmsPullId {
	if x, ok := x.GetMode().(*SmsPull_FromId); ok {
		return x.FromId
	}
	return nil
}

func (x *SmsPull) GetFromPeriod() *SmsPullPeriod {
	if x, ok := x.GetMode().(*SmsPull_FromPeriod); ok {
		return x.FromPeriod
	}
	return nil
}

type isSmsPull_Mode interface {
	isSmsPull_Mode()
}

type SmsPull_FromId struct {
	FromId *SmsPullId `protobuf:"bytes,1,opt,name=from_id,json=fromId,proto3,oneof"` // запрос через порядковый номер
}

type SmsPull_FromPeriod struct {
	FromPeriod *SmsPullPeriod `protobuf:"bytes,2,opt,name=from_period,json=fromPeriod,proto3,oneof"` // запрос через временной период
}

func (*SmsPull_FromId) isSmsPull_Mode() {}

func (*SmsPull_FromPeriod) isSmsPull_Mode() {}

type SmsMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	AccountId string            `protobuf:"bytes,1,opt,name=account_id,json=accountId,proto3" json:"account_id,omitempty"`                         // идентификатор аккаунта
	Id        int64             `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`                                                       // идентификатор сообщения
	Src       string            `protobuf:"bytes,3,opt,name=src,proto3" json:"src,omitempty"`                                                      // номер отправителя
	Dst       string            `protobuf:"bytes,4,opt,name=dst,proto3" json:"dst,omitempty"`                                                      // номер получателя
	Text      string            `protobuf:"bytes,5,opt,name=text,proto3" json:"text,omitempty"`                                                    // текст сообщения
	Stamp     int64             `protobuf:"varint,6,opt,name=stamp,proto3" json:"stamp,omitempty"`                                                 // время сообщения
	Price     float32           `protobuf:"fixed32,7,opt,name=price,proto3" json:"price,omitempty"`                                                // стоимость сообщения
	Parts     int32             `protobuf:"varint,8,opt,name=parts,proto3" json:"parts,omitempty"`                                                 // количество частей
	Type      SmsMessage_Type   `protobuf:"varint,9,opt,name=type,proto3,enum=com.freeje.api.client.SmsMessage_Type" json:"type,omitempty"`        // тип сообщения (вх/исх)
	Status    SmsMessage_Status `protobuf:"varint,10,opt,name=status,proto3,enum=com.freeje.api.client.SmsMessage_Status" json:"status,omitempty"` // статус доставки
}

func (x *SmsMessage) Reset() {
	*x = SmsMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_sms_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SmsMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SmsMessage) ProtoMessage() {}

func (x *SmsMessage) ProtoReflect() protoreflect.Message {
	mi := &file_client_sms_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SmsMessage.ProtoReflect.Descriptor instead.
func (*SmsMessage) Descriptor() ([]byte, []int) {
	return file_client_sms_proto_rawDescGZIP(), []int{3}
}

func (x *SmsMessage) GetAccountId() string {
	if x != nil {
		return x.AccountId
	}
	return ""
}

func (x *SmsMessage) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *SmsMessage) GetSrc() string {
	if x != nil {
		return x.Src
	}
	return ""
}

func (x *SmsMessage) GetDst() string {
	if x != nil {
		return x.Dst
	}
	return ""
}

func (x *SmsMessage) GetText() string {
	if x != nil {
		return x.Text
	}
	return ""
}

func (x *SmsMessage) GetStamp() int64 {
	if x != nil {
		return x.Stamp
	}
	return 0
}

func (x *SmsMessage) GetPrice() float32 {
	if x != nil {
		return x.Price
	}
	return 0
}

func (x *SmsMessage) GetParts() int32 {
	if x != nil {
		return x.Parts
	}
	return 0
}

func (x *SmsMessage) GetType() SmsMessage_Type {
	if x != nil {
		return x.Type
	}
	return SmsMessage_INBOUND
}

func (x *SmsMessage) GetStatus() SmsMessage_Status {
	if x != nil {
		return x.Status
	}
	return SmsMessage_PENDING
}

var File_client_sms_proto protoreflect.FileDescriptor

var file_client_sms_proto_rawDesc = []byte{
	0x0a, 0x10, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x73, 0x6d, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x22, 0x3f, 0x0a, 0x0d, 0x53, 0x6d, 0x73,
	0x50, 0x75, 0x6c, 0x6c, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x66, 0x72,
	0x6f, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x66, 0x72, 0x6f, 0x6d, 0x12, 0x1a,
	0x0a, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x4f, 0x0a, 0x09, 0x53, 0x6d,
	0x73, 0x50, 0x75, 0x6c, 0x6c, 0x49, 0x64, 0x12, 0x22, 0x0a, 0x0d, 0x6c, 0x61, 0x73, 0x74, 0x5f,
	0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b,
	0x6c, 0x61, 0x73, 0x74, 0x4b, 0x6e, 0x6f, 0x77, 0x6e, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x63,
	0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x6f, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x0a, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75, 0x6f, 0x75, 0x73, 0x22, 0x97, 0x01, 0x0a, 0x07,
	0x53, 0x6d, 0x73, 0x50, 0x75, 0x6c, 0x6c, 0x12, 0x3b, 0x0a, 0x07, 0x66, 0x72, 0x6f, 0x6d, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x2e, 0x53, 0x6d, 0x73, 0x50, 0x75, 0x6c, 0x6c, 0x49, 0x64, 0x48, 0x00, 0x52, 0x06, 0x66, 0x72,
	0x6f, 0x6d, 0x49, 0x64, 0x12, 0x47, 0x0a, 0x0b, 0x66, 0x72, 0x6f, 0x6d, 0x5f, 0x70, 0x65, 0x72,
	0x69, 0x6f, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x2e, 0x53, 0x6d, 0x73, 0x50, 0x75, 0x6c, 0x6c, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x48,
	0x00, 0x52, 0x0a, 0x66, 0x72, 0x6f, 0x6d, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x42, 0x06, 0x0a,
	0x04, 0x6d, 0x6f, 0x64, 0x65, 0x22, 0xfc, 0x02, 0x0a, 0x0a, 0x53, 0x6d, 0x73, 0x4d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x49, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x73, 0x72, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x03, 0x73, 0x72, 0x63, 0x12, 0x10, 0x0a, 0x03, 0x64, 0x73, 0x74, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x64, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x65, 0x78, 0x74, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x65, 0x78, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x72, 0x69, 0x63, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x02,
	0x52, 0x05, 0x70, 0x72, 0x69, 0x63, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x61, 0x72, 0x74, 0x73,
	0x18, 0x08, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x70, 0x61, 0x72, 0x74, 0x73, 0x12, 0x3a, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x26, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2e, 0x53, 0x6d, 0x73, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x40, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x2e, 0x53, 0x6d, 0x73, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x21, 0x0a, 0x04, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x0b, 0x0a, 0x07, 0x49, 0x4e, 0x42, 0x4f, 0x55, 0x4e, 0x44, 0x10, 0x00,
	0x12, 0x0c, 0x0a, 0x08, 0x4f, 0x55, 0x54, 0x42, 0x4f, 0x55, 0x4e, 0x44, 0x10, 0x01, 0x22, 0x24,
	0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x0b, 0x0a, 0x07, 0x50, 0x45, 0x4e, 0x44,
	0x49, 0x4e, 0x47, 0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x44, 0x45, 0x4c, 0x49, 0x56, 0x45, 0x52,
	0x45, 0x44, 0x10, 0x01, 0x32, 0xa0, 0x01, 0x0a, 0x03, 0x53, 0x4d, 0x53, 0x12, 0x4c, 0x0a, 0x04,
	0x53, 0x65, 0x6e, 0x64, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x6d, 0x73,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e,
	0x53, 0x6d, 0x73, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x4b, 0x0a, 0x04, 0x50, 0x75,
	0x6c, 0x6c, 0x12, 0x1e, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x6d, 0x73, 0x50, 0x75,
	0x6c, 0x6c, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x6d, 0x73, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x30, 0x01, 0x42, 0x6b, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x42, 0x07, 0x53, 0x6d, 0x73, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x3d, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67,
	0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x3b, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0xa2, 0x02, 0x07, 0x53, 0x6d, 0x73,
	0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_client_sms_proto_rawDescOnce sync.Once
	file_client_sms_proto_rawDescData = file_client_sms_proto_rawDesc
)

func file_client_sms_proto_rawDescGZIP() []byte {
	file_client_sms_proto_rawDescOnce.Do(func() {
		file_client_sms_proto_rawDescData = protoimpl.X.CompressGZIP(file_client_sms_proto_rawDescData)
	})
	return file_client_sms_proto_rawDescData
}

var file_client_sms_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_client_sms_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_client_sms_proto_goTypes = []interface{}{
	(SmsMessage_Type)(0),   // 0: com.freeje.api.client.SmsMessage.Type
	(SmsMessage_Status)(0), // 1: com.freeje.api.client.SmsMessage.Status
	(*SmsPullPeriod)(nil),  // 2: com.freeje.api.client.SmsPullPeriod
	(*SmsPullId)(nil),      // 3: com.freeje.api.client.SmsPullId
	(*SmsPull)(nil),        // 4: com.freeje.api.client.SmsPull
	(*SmsMessage)(nil),     // 5: com.freeje.api.client.SmsMessage
}
var file_client_sms_proto_depIdxs = []int32{
	3, // 0: com.freeje.api.client.SmsPull.from_id:type_name -> com.freeje.api.client.SmsPullId
	2, // 1: com.freeje.api.client.SmsPull.from_period:type_name -> com.freeje.api.client.SmsPullPeriod
	0, // 2: com.freeje.api.client.SmsMessage.type:type_name -> com.freeje.api.client.SmsMessage.Type
	1, // 3: com.freeje.api.client.SmsMessage.status:type_name -> com.freeje.api.client.SmsMessage.Status
	5, // 4: com.freeje.api.client.SMS.Send:input_type -> com.freeje.api.client.SmsMessage
	4, // 5: com.freeje.api.client.SMS.Pull:input_type -> com.freeje.api.client.SmsPull
	5, // 6: com.freeje.api.client.SMS.Send:output_type -> com.freeje.api.client.SmsMessage
	5, // 7: com.freeje.api.client.SMS.Pull:output_type -> com.freeje.api.client.SmsMessage
	6, // [6:8] is the sub-list for method output_type
	4, // [4:6] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_client_sms_proto_init() }
func file_client_sms_proto_init() {
	if File_client_sms_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_client_sms_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SmsPullPeriod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_sms_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SmsPullId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_sms_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SmsPull); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_sms_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SmsMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_client_sms_proto_msgTypes[2].OneofWrappers = []interface{}{
		(*SmsPull_FromId)(nil),
		(*SmsPull_FromPeriod)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_client_sms_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_client_sms_proto_goTypes,
		DependencyIndexes: file_client_sms_proto_depIdxs,
		EnumInfos:         file_client_sms_proto_enumTypes,
		MessageInfos:      file_client_sms_proto_msgTypes,
	}.Build()
	File_client_sms_proto = out.File
	file_client_sms_proto_rawDesc = nil
	file_client_sms_proto_goTypes = nil
	file_client_sms_proto_depIdxs = nil
}
